// Copyright 1999 (c) by Perforce Software, Inc.  All rights reserved.
//
// p4wUsersPane:
//   The users pane.

#ifndef p4wUsersPane_H
#define p4wUsersPane_H


//
// Includes
#include "p4wPane.h"


//
// External classes
class StrDict;


//
// p4wUsersPane class

class p4wUsersPane : public p4wPane {

public:
	p4wUsersPane(p4wView & ParentView, p4wRequest & Request);
	virtual ~p4wUsersPane();

	//
	// Render functions.
	virtual	void		Begin();
	virtual	void		Render(StrDict * varList);
	virtual	void		End();

private:

	void	doForm();
	void	doFilterMessage(StrBuf *msg);

	int fRowCtr;

	// filter variables
	StrBuf	fUnm;	// name contain this string
	StrBuf	fUdu;	// filter by updated date >= this date
	StrBuf	fUda;	// filter by accessed date >= this date
};

#endif // p4wUsersPane_H
